Настройки
Конфигурация панели и учётные данные пользователя. Все эндпоинты находятся под /panel/api/setting и требуют активной сессии или токена Bearer.
API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/all"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/defaultSettings"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/update" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/updateUser" \ -H "Content-Type: application/json" \ -d '{ "oldUsername": "admin", "oldPassword": "admin", "newUsername": "newadmin", "newPassword": "newpass" }'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/restartPanel"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/testSmtp"{ "success": true, "stage": "send", "msg": "Test email sent successfully"}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/setting/testTgBot"{ "success": true, "msg": "Test message sent to Telegram"}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET "https://example.com/panel/api/setting/getDefaultJsonConfig"{ "success": true, "msg": "string", "obj": null}Сервер
Состояние системы, получение логов, генераторы сертификатов, управление бинарным файлом Xray, а также резервное копирование и восстановление. Все эндпоинты находятся в /panel/api/server.
Настройки Xray
Шаблон конфигурации Xray, управление исходящими подключениями, интеграция с Warp/Nord и тестирование конфигурации. Все эндпоинты находятся в /panel/api/xray.

3x-ui